EmuReady API Documentation
Complete API documentation for applications powered by EmuReady.
📚 Documentation
Auto-generated API reference covering all endpoints, authentication, and usage patterns.
View Full Documentation🔧 Interactive Testing
Swagger UI for testing API endpoints with live requests and responses.
Open Swagger UIQuick Start
Base URL
/api/mobile/trpc/[procedure]Authentication
Authorization: Bearer <clerk-jwt-token>Example Request
curl -X POST /api/mobile/trpc/listings.get \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <token>" \
-d '{
"page": 1,
"limit": 20,
"search": "mario"
}'Available Resources
🔍 Endpoints
all endpoints across all routers that EmuReady uses for the mobile app are available.
Generous rate limits for public and protected endpoints🚀 TRPC
Type-safe API with automatic validation
Full TypeScript supportKey Features
Note that some features may be in development, or require an API Key:
- ✓CRUD operations for most resources
- ✓Advanced filtering & search
- ✓Real-time notifications
- ✓User preference management
- ✓Pagination & filtering
- ✓Authentication & authorization
- ✓Consistent error handling
- ✓Reasonable rate limits